evaluations
Create evaluations dataset bindings
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
dataset-bindings
Create evaluations dataset bindings
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/dataset-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"datasetId": "<string>",
"datasetVersionId": "<string>",
"mode": "snapshot",
"idempotencyKey": "<string>"
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/dataset-bindings"
payload = {
"datasetId": "<string>",
"datasetVersionId": "<string>",
"mode": "snapshot",
"idempotencyKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
datasetId: '<string>',
datasetVersionId: '<string>',
mode: 'snapshot',
idempotencyKey: '<string>'
})
};
fetch('https://evalgate.com/api/evaluations/{id}/dataset-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluationId": 123,
"id": "<string>",
"mode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"idempotencyKey": "<string>",
"datasetId": "<string>",
"datasetVersionId": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
⌘I
Create evaluations dataset bindings
